package com.srs.dormitory.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.common.core.domain.AjaxResult;
import com.srs.dormitory.domain.DmsSemester;

/**
 * 学期Service接口
 *
 * @author srs
 * @date 2023-11-09
 */
public interface IDmsSemesterService extends IService<DmsSemester> {
    /**
     * 查询学期
     *
     * @param id 学期主键
     * @return 学期
     */
    public DmsSemester selectDmsSemesterById(Long id);

    /**
     * 查询学期列表
     *
     * @param dmsSemester 学期
     * @return 学期集合
     */
    List<DmsSemester> selectDmsSemesterList(DmsSemester dmsSemester);

    /**
     * 修改学期
     *
     * @param dmsSemester 学期
     * @return 结果
     */
    int updateDmsSemester(DmsSemester dmsSemester);

    /**
     * 批量删除学期
     *
     * @param ids 需要删除的学期主键集合
     * @return 结果
     */
    int deleteDmsSemesterByIds(Long[] ids);

    /**
     * 删除学期信息
     *
     * @param id 学期主键
     * @return 结果
     */
    int deleteDmsSemesterById(Long id);

    /**
     * 新增学期
     *
     * @param dmsSemester 学期
     * @return 结果
     */
    AjaxResult add(DmsSemester dmsSemester);

    /**
     * 结束当前学期
     * @return
     */
    AjaxResult over();
}
